Docs Menu
Docs Home
/ /

Get All Ops Manager Server Log Collection Jobs

Use this endpoint to retrieve every Ops Manager server log collection job.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /admin/omLogCollectionJobs

Requires that the API Key calling this endpoint have the Global Read Only role.

This endpoint doesn't use HTTP request path parameters.

Name
Type
Necessity
Description
Default

pageNum

number

Optional

One-based integer that returns a subsection of results.

1

itemsPerPage

number

Optional

Number of items to return per page, up to a maximum of 500.

100

verbose

boolean

Optional

Flag that indicates whether to include all child jobs in the response. Each Ops Manager server log collection job has a child job for each combination of server and log type included in the request.

false

pretty

boolean

Optional

Flag indicating whether the response body should be in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

false

This endpoint doesn't use HTTP request body parameters.

The response includes an array of result objects, an array of link objects, and the total number of result objects retrieved.

Name
Type
Description

results

array

Array of Ops Manager server log collection jobs. See results Embedded Document.

links

array

Array of one or more links to sub-resources or related resources. The relations between URLs follow Web Linking Specification (RFC 5988).

totalCount

number

Total number of items in the result set. May exceed the size of results when paginated.

Each results element represents one Ops Manager server log collection job.

Name
Type
Description

id

string

Unique 24-hexadecimal digit string that identifies this job.

status

string

Status of the job. Returns one of the following values:

  • SUCCESS

  • FAILURE

  • IN_PROGRESS

  • MARKED_FOR_EXPIRY

  • EXPIRED

creationDate

string

Timestamp, in ISO 8601 UTC format, when Ops Manager created the job.

expirationDate

string

Timestamp, in ISO 8601 UTC format, when the job expires and Ops Manager automatically deletes its data.

finishDate

string

Timestamp, in ISO 8601 UTC format, when the job finished. null while the job is in progress.

servers

array of strings

List of serverId values included in this request. Returned by List Active Ops Manager Servers.

logTypes

array of strings

Log types included in this request. Returns one or more of the following values:

  • APPLICATION

  • HTTP_ACCESS

  • MIGRATION

sizeRequestedPerFileBytes

number

Maximum requested size, in bytes, per log type per server.

logCollectionFromDate

string

Start of the time range filter, in ISO 8601 UTC format. null if the request did not specify a time range.

logCollectionToDate

string

End of the time range filter, in ISO 8601 UTC format. null if the request did not specify a time range.

uncompressedSizeTotalBytes

number

Total uncompressed size, in bytes, of the collected log data.

sizeLimitHit

boolean

Flag that indicates whether Ops Manager truncated any child job's collected data because the data reached sizeRequestedPerFileBytes.

downloadUrl

string

URL from which you can download the archive. See Download Ops Manager Server Logs.

childJobs

array

List of child jobs associated with this request. Ops Manager includes this field only when you set verbose=true.

Each child job represents the log collection task for one server and one log type.

Name
Type
Description

childJobs[n].serverId

string

serverId of the Ops Manager server from which this child job collects logs.

childJobs[n].logCollectionType

string

Log type that this child job collects. Returns one of the following values:

  • APPLICATION

  • HTTP_ACCESS

  • MIGRATION

childJobs[n].status

string

Status of this child job. Returns one of the following values:

  • SUCCESS

  • FAILURE

  • IN_PROGRESS

  • MARKED_FOR_EXPIRY

  • EXPIRED

childJobs[n].startDate

string

Timestamp, in ISO 8601 UTC format, when this child job started.

childJobs[n].finishDate

string

Timestamp, in ISO 8601 UTC format, when this child job finished. null while the child job is in progress.

childJobs[n].errorMessage

string

Error message that explains why this child job failed. null if the child job did not fail.

childJobs[n].sizeLimitHit

boolean

Flag that indicates whether Ops Manager truncated this child job's collected data because the data reached sizeRequestedPerFileBytes.

childJobs[n].uncompressedDiskspaceBytes

number

Total uncompressed disk space, in bytes, that this child job uses.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET \
"https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/omLogCollectionJobs?verbose=true&pretty=true"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{
"links": [
{
"href": "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/omLogCollectionJobs?verbose=true&pageNum=1&itemsPerPage=100",
"rel": "self"
}
],
"results": [
{
"id": "675a1234567890abcdef1234",
"status": "SUCCESS",
"creationDate": "2026-04-13T10:00:00Z",
"expirationDate": "2026-04-20T10:00:00Z",
"finishDate": "2026-04-13T10:02:30Z",
"servers": [
"om-server-1.example.com",
"om-server-2.example.com"
],
"logTypes": ["APPLICATION", "HTTP_ACCESS"],
"sizeRequestedPerFileBytes": 5242880,
"logCollectionFromDate": null,
"logCollectionToDate": null,
"uncompressedSizeTotalBytes": 8388608,
"sizeLimitHit": true,
"downloadUrl": "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/omLogCollectionJobs/675a1234567890abcdef1234:download",
"childJobs": [
{
"serverId": "om-server-1.example.com",
"logCollectionType": "APPLICATION",
"status": "SUCCESS",
"startDate": "2026-04-13T10:00:05Z",
"finishDate": "2026-04-13T10:01:30Z",
"errorMessage": null,
"sizeLimitHit": true,
"uncompressedDiskspaceBytes": 5242880
},
{
"serverId": "om-server-1.example.com",
"logCollectionType": "HTTP_ACCESS",
"status": "SUCCESS",
"startDate": "2026-04-13T10:00:05Z",
"finishDate": "2026-04-13T10:01:45Z",
"errorMessage": null,
"sizeLimitHit": false,
"uncompressedDiskspaceBytes": 2097152
},
{
"serverId": "om-server-2.example.com",
"logCollectionType": "APPLICATION",
"status": "FAILURE",
"startDate": "2026-04-13T10:00:10Z",
"finishDate": "2026-04-13T10:00:45Z",
"errorMessage": "Failed to read log file: permission denied",
"sizeLimitHit": false,
"uncompressedDiskspaceBytes": 0
},
{
"serverId": "om-server-2.example.com",
"logCollectionType": "HTTP_ACCESS",
"status": "SUCCESS",
"startDate": "2026-04-13T10:00:10Z",
"finishDate": "2026-04-13T10:02:00Z",
"errorMessage": null,
"sizeLimitHit": false,
"uncompressedDiskspaceBytes": 1048576
}
]
}
],
"totalCount": 1
}

Back

Create

On this page